#include <iostream>
#include <vector>
using namespace std;
int main(){
    int64_t a,b,c;
    c=0;
    cin>>b>>a;
    vector<int> l(b);
    for (int64_t i = 0; i < b; ++i) {
        cin >> l[i];
    }
    for(int64_t f=0; f<b; f++){
        if (l[f]<=a){
            cout<<f+1;
            c++;
            break;
        }    
    }
    if(c==0){
        cout<<-1;
    }
    
}